### Method

# EDataServer SourceWebdav set_color

since: 3.30

#### Declaration [src]

    void
    e_source_webdav_set_color (
      ESourceWebdav* extension,
      const gchar* color
    )

#### Description [src]

Updates the last known color of a WebDAV resource, as provided by the server.

The internal copy of `color` is automatically stripped of leading and trailing whitespace. If the resulting string is empty, `NULL` is set instead.

Available since: 3.30

Sets property | `EDataServer.SourceWebdav:color`

#### Parameters

`color`

  Type: `const gchar*`

  The color of the WebDAV resource, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.